part of 'air_quality_distribution_bloc.dart';

sealed class AirQualityDistributionEvent extends Equatable {
  const AirQualityDistributionEvent();

  @override
  List<Object> get props => [];
}

final class LoadAirQualityDistribution extends AirQualityDistributionEvent {
  final GetAirQualityDistributionParam param;

  const LoadAirQualityDistribution(this.param);

  @override
  List<Object> get props => [param];
}

final class UpdateAqiTypeEvent extends AirQualityDistributionEvent {
  const UpdateAqiTypeEvent(this.aqiType);

  final AqiType aqiType;

  @override
  List<Object> get props => [aqiType];
}

final class ClearAirQualityDistribution extends AirQualityDistributionEvent {
  const ClearAirQualityDistribution();
}
